Vector Ethernet Device Configuration

Start Page

Screenshot

Overview

With the Vector Ethernet Device Configuration you can configure Vector VN Ethernet Interfaces.

In the different windows you can assign and configure the different segments and ports to a network.

The Vector Ethernet Device Configuration is available as of Interface Firmware version 11.1.

Glossary

Functions

Configure Devices

Ribbon

  • File
  • Home

Windows

  • Window Management
  • Segments
  • Ports
  • Properties

Pages

  • Layout
  • Uplink

Procedures

  • How to configure the VN5640
  • How To Import Existing Configurations

Typographic Conventions

Version 20.30
© Vector Informatik GmbH


Ribbon

Vector Ethernet Device Configuration » Ribbon

Ribbon

In the Vector Ethernet Device Configuration ribbon the following tabs are available:

File

Home

With a click on the symbol you open the help.
You can also open the help with <F1>.
With a click on the symbol you open an information about the version number.


File (Ribbon)

File

Vector Ethernet Device Configuration » Ribbon » File

Ribbon: Tab File

File

Home

Symbol | Description
 | Save With a click on the symbol you save the device configuration. If you save a file for the first time, the Save As dialog is automatically opened.
 | Save As... With a click on the symbol you open the Save As dialog.
 | New With a click on the symbol you open a new device configuration.
 | Open With a click on the symbol you open the Windows Explorer to select a previously saved device configuration (XML file).
 | Last used List of recently used configurations.
 | Help With a click on the symbol you open the help.
 | Version With a click on the symbol you open an information about the version number.
 | Exit Exits the Vector Ethernet Device Configuration. If you have not yet saved all changes to the open configuration, you will be prompted to do so automatically. Select the appropriate option in the window which appears.


Home (Ribbon)

Home

Vector Ethernet Device Configuration » Ribbon » Home

Ribbon: Tab Home

File

Home

Symbol

Description

Hardware Configuration Group

Write

With a click on the symbol the configuration is written as default configuration to the connected device.

When the Vector Ethernet Device Configuration is reopened, a configuration stored on the connected device is displayed directly.

New

With a click on the symbol the default configuration of the device is restored.

Windows Group

Segments

With a click on the symbol you open the Segments Window.

Ports

With a click on the symbol you open the Ports Window.

Properties

With a click on the symbol you open the Properties Window.

Configuration Group

VLAN

Here you select the network or port for which you want to configure the VLAN settings. The Properties Window of the network or port is opened upon selection.

Filter

Here you select the uplink for which you want to configure filters. The Properties Window of the uplink is opened on selection.


Window Management

Vector Ethernet Device Configuration » Window Management

You can open the various windows via the Home ribbon tab.

Various types are available for the windows. Each prompts a different response from the window.

There are the following types of window:

Docked Windows

Windows of this type can be docked anywhere in the main window and are always at the front.

Position markers appear which you can use to specify the position:

Floating Windows

Windows of this type can be completely removed from the main window and are always in front of the main window. It is minimized together with the main window

Auto-hide Windows

Windows of this type are hidden at the edge of the main window and appear as tabs when the auto-hide function is activated.

The auto-hide function is activated and deactivated using the following symbols, which appear in the window header:

  • Activated auto-hide function
  • Deactivated auto-hide function

Segments Window | Ports Window | Properties Window


Segments Window

Vector Ethernet Device Configuration » Windos » Segments Window

Ribbon|Home Tab|Segments Window

Segments act as a coupling element between ports. Two types of segments are available.

Used: x/y

x: Number of used segments

y: Number of available segments, depending on the hardware type.

Switch

A switch segment provides the basic functions of a layer-2 switch. Any number of ports can be assigned to a switch segment (depending on the hardware).

Link

A link segment always connects exactly two ports transparently to each other. The link segment is used to transparently forward Ethernet packets and the states of the physical layer (e.g. link up/down, OPEN Alliance TC10 wake/sleep).

The following constellations are available:

  • Connection of two physical ports (TAP)
  • Connection of a physical and virtual port (direct connection)

Assign Switches and Links to a Network

You can assign switches and links to a network

  • with drag and drop of switches and links to the Layout page
  • via the context menu command Add

From the Ports Window you can assign ports to the segments.

Window Management


Ports Window

Vector Ethernet Device Configuration » Windows » Ports Window

Ribbon|Home Tab|Ports Window

In the Ports Window the ports are listed that are provided by the interface.

Ports define the connection points of real as well as simulated network participants. In the Vector applications, you also use the ports to define the points on your system where you want to measure (measurement points). To distinguish between them, a unique name can be assigned to each port throughout the network.

Ports (Physical)

Physical ports must be configured for real network participants.

Used: x/y | x: Number of used ports y: Number of available ports, depending on the hardware type.
 | Physical port

Already added ports are displayed inactive (gray).

Ports (Virtual)

Vector applications communicate via virtual ports with the interface.

Note

Note

  • Virtual ports usually do not have to be preconfigured. If a Vector application requires a virtual port, the application automatically creates one.
  • A virtual port must be preconfigured if a second Vector application should receive data from a virtual port.

Used: x/y | x: Number of used ports y: Number of available ports, depending on the hardware type.
 | Virtual port

Assign Ports to a Segment

You can assign ports to a segment (switch/link)

  • with drag and drop of ports to the Layout page
  • via the context menu command Add

From the Segments Window you can assign segments to networks.

Window Management


Properties Window

Vector Ethernet Device Configuration » Windows » Properties Window

Ribbon|Home Tab|Properties Window

The Properties Window displays the properties of a selected element.

Switch

Row

Description

General

Name

Name of the switch

Type

Segment type (Switch)

Forward gPTP frames

By default, gPTP frames are not forwarded to other ports connected to the same switch segment. This behavior can be changed by activating the Forward gPTP frames checkbox.

Passive Bypass Relay State

The state of a relay can be open or closed. If the relay is closed, both ports are electrically short-circuit. This means they are directly connected to each other and all traffic is forwarded from one port to the other without being received from the device. Therefore communication with the network and potentially connected measurement software is no longer possible from the device.

Only a specific pair of ports can be configured this way. This feature is available, if only two matching ports are connected to this segment type.

Device powered

Determines the state of the passive bypass relay while the device is in power-on state.

Device unpowered

Determines the state of the passive bypass relay while the device is in power-off state.

Link

Row

Description

General

Name

Name of the link

Type

Segment type

  • Direct connection
  • TAP

Passive Bypass Relay State

The state of a relay can be open or closed. If the relay is "closed", both ports are electrically short-circuit. This means they are directly connected to each other and all traffic is forwarded from one port to the other without being received from the device. Therefore communication with the network and potentially connected measurement software is no longer possible from the device.

Only a specific pair of ports can be configured this way. This feature is available, if only two matching ports are connected to this segment type.

Device powered

Determines the state of the passive bypass relay while the device is in power-on state.

The link transparency feature is only available if the relay state is open.

Device unpowered

Determines the state of the passive bypass relay while the device is in power-off state.

Link Transparency

Link Transparency

TAP only

The following properties are transmitted between the ports:

  • Link status (up/down)
  • Network management (sleep/wake-up)

The transparency property can only be activated if the Master/Slave-Auto-Detect property is not activated for the connected ports.

LT Master/Slave

The link transparency behavior can be set to MasterSlaveAuto or MasterSlaveStatic. In automatic mode, the port which looses the link first becomes the master port and the other port takes it over. In static mode, the master port can be selected.

LT Master Port

Determines the master port in case the link transparency master/slave mode is set to static.

Network

Row | Description
General
Name | Name of the network
VLAN
Name/Identifier | Here you create VLANs. Enter VLAN name and VLAN identifier. Ports that are assigned to the VLAN are highlighted on the Layout page.

Context Menu

Delete
Deletes a VLAN.

Copy
Copies a VLAN to the clipboard.

Paste
Pastes a VLAN from the clipboard.

Assign To
Quick possibility to assign ports to a VLAN. A list of ports is displayed which can be assigned or unassigned to the VLAN by activating/deactivating the toggle button.

Port (physical/virtual)

Row | Description
General
Name | Name of the port
Connector Number physical port only | Connector number (corresponds to the corresponding number on the interface)
Channel Mode physical port only | Set the PHY properties here.
Activate Legacy Mode physical port only | If a new Marvell 1Gbit PHY is used in the connected device a Legacy Mode can be activated for it. In this mode it can be connected with a Marvell 1Gbit PHY of the first generation (revision A0) in 1Gbit Channel mode.
VLAN
Membership | Enter the VLANs to which the port is assigned.
Force Tagging | Select a VLAN that should be added when a packet is received. The VLAN will always be added, even when the received packet already contains a VLAN.
Default | Select a VLAN that should be added when a packet is received if the received packet does not yet contain a VLAN.
Untag | Specify here whether the outer VLAN should be removed when sending a packet via this port.

Note

Note

You can define VLANs at the network properties.

Uplink

Row

Description

Filter

Vector Ethernet Network Interfaces offer the possibility to filter packets already on the hardware to reduce the throughput for an uplink port.

Each filter can be a Pass [image] or Stop [image] filter with several properties.

The filter dissects and filters packets in either transmit, receive or both direction(s). There is one filter instance in every port, each of which is providing 16 user defined rules. Each rule can be configured as a pass or a stop rule.

The following fields are used to define filter rules:

Property name | Bit width
Destination MAC Address | 48
Source MAC Address | 48
VLAN ID | 16
Ethertype | 16
Destination IP Address (IPv4 and/or IPv6) | 32 (IPv4), 128 (IPv6)
Source IP Address (IPv4 and/or IPv6) | 32 (IPv4), 128 (IPv6)
Destination UDP/TCP Port | 16
Source UDP/TCP Port | 16

All 16 filter rules of a port result in a common rule configuration, which is the disjunction (logical OR function) of all rules. This common rule configuration must not exceed the filter capacity of 240 bits. The figure below illustrates the interdependency of three exemplary rules. The rules are depicted as boolean vectors, that specify if a field is part of a rule. The value of a field, that is used in multiple rules, can be different for every rule.

Example

Example

Rule 1: IPv4 DA = 1.2.3.4; UDP/TCP Dest. Port = 5678

Rule 2: IP-Proto = 6; IPv6 SA = 1111:2222:3333:4444:5555:6666:7777:8888; TCP Dest. Port 4321

Rule 3: ETH Type = 88F7

The figure below depicts an invalid rule configuration due to exceedance of the filter capacity.

The filter rules are applied from top to bottom. The first rule has the highest priority. If the filter properties of the first filter rule match the packet, the filter rule determines what happens to the packet: The packet is filtered or forwarded, depending on pass or stop setting. If the filter properties do not match the packet, the next filter rule is applied. The last filter rule has no properties and thus determines what happens to packets that do not match any of the previous filter rules.

Example

Example

Pass Filter Source MAC = AA:BB:CC:DD:EE

Stop Filter EtherType = 0x0806

Pass Filter Source MAC = 11:22:33:44:55

Stop Filter

Effect:

  • All packets with Source MAC AA:BB:CC:DD:EE are forwarded.
  • All ARP packets are filtered (except packets with Source MAC AA:BB:CC:DD:EE that were forwarded by the first line).
  • All packets with Source MAC 11:22:33:33:44:55 are forwarded (except the ARP packets that have already been filtered in line two).
  • All other packets are filtered.

If a received packet does not contain a field that is configured in a rule, the rule will not match. This relation is summarized in the table below

Field configured in rule | Field contained in frame | Rule match
0 | X | 1
1 | 0 | 0
1 | 1 | 1

Example

Example

The Rule IPv4 DA = 1.2.3.4; UDP/TCP Dest. Port = 5678 cannot be matched by a frame without an UDP/TCP Destination Port.

Add Property

Based on the following properties filters can be configured.

  • Ports
  • VLAN ID
  • EtherType (hex)
  • IP Protocol (hex)
  • Source MAC Address (hex)
  • Destination MAC Address (hex)
  • Source IP Address (IPv4 or IPv6 address)
  • Destination IP Address (IPv4 or IPv6 address)
  • Source UDP/TCP Port
  • Destination UDP/TCP Port
  • Direction

Context Menu

Toggle to Pass/Stop Filter

Toggles a filter rule from pass to stop or around

  • Priority Highest
    Move a filter rule to the top of the table
  • Priority Higher
    Move a filter rule one place up
  • Priority Lower
    Move a filter rule one place down
  • Priority Lowest
    Move a filter rule to the bottom of the table

Add Filter
Adds a filter rule.

  • Pass Filter
  • Stop Filter

Add Property
Based on the following properties filters can be configured.

  • Ports
  • VLAN ID
  • EtherType (hex)
  • Source MAC Address (hex)
  • Destination MAC Address (hex)
  • Source IP Address
  • Destination IP Address
  • Source UDP/TCP Port
  • Destianation UDP/TCP Port

Delete
Deletes a filter.

Copy
Copies a filter and its properties or a specific filter property to the clipboard.

Paste Filter
Pasts a filter from the clipboard.

Paste Property
Pastes filter properties from the clipboard.

General

Name

Name of the uplink

Type

Select the operation mode of the uplink. The following modes are available:

  • Uplink
    The uplink acts as data host connection. Filters can be configured at the uplink.
  • Mirror
    Via a mirror host connection, data can be retrieved from the interface.
    For example, a data logger can be connected to a mirror uplink. Filters can be configured at the mirror uplink.

Connector Number(s)

Connector number (corresponds to the corresponding number on the interface)

Active

Specifies whether the uplink is used.

Window Management


Layout

Vector Ethernet Device Configuration » Layout

On the Layout page you can create your interface configuration by assigning segments and ports to networks.

Network

A network groups segments and their assigned ports. Each segment or port can only be assigned to one network. You can enter a name for each network in the Properties Window. The network nam must be unique and is used to connect a Vector application with a Vector Ethernet interface.

You automatically create a network if you drag and drop a segment from the Segments Window to the Layout Window.

Context Menu

Rename
Opens an input field in which you can change the network name.

Remove
Removes a network and all segments and ports assigned to it.

Add Segments

You can add switches and links with drag and drop from the Segments Window to the Layout Window.

When inserting a new segment, you are supported by the GUI.

Context Menu

Rename
Opens an input field in which you can change the segment name.

Remove
Removes a segment and all ports assigned to it.

Add Ports

You can add ports with drag and drop from the Ports Window to the Layout Window. While inserting new ports, the possible dropping areas will be highlighted in the user interface

Context Menu

Rename
Opens an input field in which you can change the port name.

Move
Assigns the ports to another segment.

Remove
Removes a port.

Identify (Twinkle) - for physical ports only
The LED on the Ethernet port of the hardware flashes to identify the port.


Uplink

Vector Ethernet Device Configuration » Uplink

All host connections (e.g. mirroring, cascading, uplink) of the interface are displayed on the Uplink page. Select a host connection to configure it in the Properties Window.

If a connector is already used as a port on the Layout page this connector can no longer be used as host connection. This host connection is disabled on the Uplink page:

Properties Window


How To Configure the VN5640

Vector Ethernet Device Configuration » How To Configure the VN5640

  1. Connect one side of the the USB cable or Ethernet cable to the corresponding connector of the VN5640 (USB, ETH 13-16) and the other side with your computer.
  2. Open the Vector Ethernet Device Configuration.
  3. Add the required segments on the Layout page.
  4. Assign the required ports to the segments and configure them in the Properties Window.
  • Use a unique name within each network.
  • Set the Channel Mode.
  • Configure the VLAN settings if required by creating the VLANs in the network properties and assigning the VLAN properties to the ports.
  4. Select on the Uplink page the required host connections (connection interface - computer or interface - logger). For the uplink you can configure filter and activate mirroring in the Properties Window.
  5. Write the configuration to the connected VN5640 using [image] Write on the Home ribbon tab.


How To Import Existing Configurations

Vector Ethernet Device Configuration » How To Import Existing Configurations

The import of saved configurations can be automated by using the command line interface.

With the following command line argument, an existing configuration can be written to a selected device:

start vethconfig -vobjectidentifier /device:VN5620/hwindex:0 -flash "D:\tmp\VN5620_DirectConnection.xml"

Arguments to be adapted:

  • device: Name of the targeted VN interface
  • hwindex: Index of same hardware types
  • file path: Path of a stored XML configuration file


Glossary

Vector Ethernet Device Configuration » Glossary

Firmware from Version 11.1

Term

Description

Direct connection

Includes exactly one physical and one virtual port. It is typically used for diagnostic features.

See also: Segments Window

Media converter

2 physical ports can be configured independently (link segment). That way the interface can be used as a media converter between an ECU using the 100BASE-T1 physical layer and any standard Ethernet equipment (e. g. loggers) using 100BASETX/1000BASE-T.

Mirroring

The VN Ethernet interfaces support mirroring of incoming packets of selected source channels to a specific target channel. For example, this mirroring feature can be used to attach an Ethernet logger to the target channel.

To reduce the throughput filters can be configured at the mirror uplink.

Ports

Physical Port

Each VN Ethernet interface provides a defined number of physical connections. Exactly one physical port can be assigned to each physical connection. An application can configure physical layer properties via the physical port. An application can only have read access to a physical port. Exception: stress sending.

Virtual Port

A virtual port does not represent any physical connection. Therefore, no physical layer properties can be configured. Several applications can have read access to a virtual port. Only one (1) application can have write access to a virtual port.

Simulated nodes (e.g. CAPL program or Interactive Generator Block) are connected via virtual ports. The number of virtual ports is defined by the hardware used.

Note

Note

  • Virtual ports usually do not have to be preconfigured. If a Vector application requires a virtual port, the application automatically creates one.
  • A virtual port must be preconfigured if a second Vector application should receive data from a virtual port.

Segmentation/Segment

You can configure networks, segments (switch and link) and ports via a graphical user interface (GUI).

A segment act as a coupling element between ports.

Default configuration

You can save your configuration via [image] Write on the Home ribbon tab on the hardware. The configuration is written into the persistent memory of the interface and is retained after a reset.

Switch

A switch segment currently provides the basic functions of a layer-2 switch. Any number of ports can be assigned to a switch segment.

See also: Segments Window

TAP

Test Access Point

Connection of two physical ports with very low and constant latency (≤ 5 μs).

A TAP can be used to measure the data transfer between two physical ports.

See also: Segments Window


Contact/Copyright/License

Vector Ethernet Device Configuration » Contact/Copyright/License

Contact

Vector Informatik GmbH

Ingersheimer Str. 24
70499 Stuttgart
Germany

https://www.vector.com

Imprint

Vector reserves the right to modify any information and/or data in this user documentation without notice. Vector disclaims all liabilities for the completeness or correctness of the contents and for damages which may result from the use of this documentation. This documentation nor any of its parts may be reproduced in any form or by any means without the prior written consent of Vector. To the maximum extent permitted under law, all technical data, texts, graphics, images and their design are protected by copyright law, various international treaties and other applicable law. Any unauthorized use may violate copyright and other applicable laws or regulations.

© Copyright 2021 Vector Informatik GmbH. All rights reserved.

Protected Trademarks

All brand names in this documentation are either registered or non registered trademarks of their respective owners.

Additional Copyrights/License Notes

According to the license, you may get the original sources as well as the partly changes from support@vector.com.

Copyright/License for…

Note

ActiPro

 Copyright © 2002-2013 Actipro Software LLC. All rights reserved.

Google Protocol Buffer

Google Protocol Buffer

Copyright 2008 Google Inc. All rights reserved.

Closed See complete text for further details:

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

  1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
  2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
  3. Neither the name of Google Inc. nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Code generated by the Protocol Buffer compiler is owned by the owner of the input file used when generating it. This code is not standalone and requires a support library to be linked with it. This support library is itself covered by the above license.


Typographic Conventions

Vector Ethernet Device Configuration » Typographic Conventions

On this page we present to you the typographic and symbolic elements of our help system together with their meanings.

Element | Short Description
Caution! | Caution!
Note | Note
Example | Example
Practical Procedure/Step-by-step Instruction | Step by Step Procedure
FAQ | FAQ
Introduction | Introduction
Basic Knowlegde | Basic Knowledge
Expert Knowlegde | Expert Knowledge
Changes | Changes
Cross Reference | Cross Reference
Definition | Definition
Media Link | Multimedia Link
Editing Allowed | Edit
Editing Prohibited | Do not edit manually!
Obsolete Command/Function | Obsolete Function
Expand / Close | This symbols flags (expandable/closeable) drop-down sections.
Typography | Links to a help page or a help pop up window.
»CAPL | Links to a glossary entry.
Vector Knowledgebase | Links to an external page/application.
Concept Link | This symbol flags cross references/conceptual links; a window will pop up.
CANoe | Notation for product names and trademarks.
[OK] | Notation for buttons in dialogs.
<F5> | Notation for keys on the computer keyboard.
<Ctrl>+<z> | Notation for keys on the computer keyboard that should be pressed simultaneously.
Add… File|Save file… | Notation for commands, menu names, dialog names and screen/dialog elements.Here Save file… refers to a command within the File menu.
on message <msg id> | Notation for syntax (CAPL, MS-DOS, XML, C#…).
on message 0x100 | Notation for sample code (CAPL, MS-DOS, XML, C#…).